DataMask.Standard (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum DataMask.Standard

- java.lang.Object
- - java.lang.Enum<DataMask.Standard>
  - - org.apache.orc.DataMask.Standard

- All Implemented Interfaces:
    Serializable, Comparable<DataMask.Standard>
  Enclosing interface:
    DataMask

      public static enum DataMask.Standard
      extends Enum<DataMask.Standard>

  The standard DataMasks can be created using this short cut. For example, DataMask.Standard.NULLIFY.build(schema) will build a nullify DataMask.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NULLIFY`
    `REDACT`
    `SHA256`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataMaskDescription` | `getDescription(String... params)` Build a DataMaskDescription given the name and a set of parameters.
    `String` | `getName()` Get the name of the predefined data mask.
    `static DataMask.Standard` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataMask.Standard[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULLIFY

          public static final DataMask.Standard NULLIFY

    - #### REDACT

          public static final DataMask.Standard REDACT

    - #### SHA256

          public static final DataMask.Standard SHA256

  - ### Method Detail

    - #### values

          public static DataMask.Standard[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataMask.Standard c : DataMask.Standard.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataMask.Standard valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Get the name of the predefined data mask.
      Returns:
        the standard name

    - #### getDescription

          public DataMaskDescription getDescription(String... params)

      Build a DataMaskDescription given the name and a set of parameters.
      Parameters:
        `params` - the paramters
      Returns:
        a MaskDescription with the given parameters

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.